Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1070704 - CpuOverCommitDurationMinutes limited to a single digit value by regular expression in database scripts
Summary: CpuOverCommitDurationMinutes limited to a single digit value by regular expre...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal
Version: 3.3.0
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: 3.4.0
Assignee: Jiri Moskovcak
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On: 1071200
Blocks: 1073776 rhev3.4beta 1142926
TreeView+ depends on / blocked
 
Reported: 2014-02-27 11:51 UTC by Julio Entrena Perez
Modified: 2018-12-05 17:29 UTC (History)
13 users (show)

Fixed In Version: av3
Doc Type: Bug Fix
Doc Text:
Previously, it was not possible to set the value of the CpuOverCommitDurationMinutes key to a value greater than '9'. This was caused by the range of possible values only allowing a single character to be input. Now, the range of possible values for this key has been expanded so that a maximum of two characters can be specified.
Clone Of:
: 1071200 1073776 (view as bug list)
Environment:
Last Closed: 2014-06-09 15:04:50 UTC
oVirt Team: SLA
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:0506 normal SHIPPED_LIVE Moderate: Red Hat Enterprise Virtualization Manager 3.4.0 update 2014-06-09 18:55:38 UTC
oVirt gerrit 25417 None None None Never
oVirt gerrit 25514 None None None Never
oVirt gerrit 25520 None None None Never

Description Julio Entrena Perez 2014-02-27 11:51:32 UTC
Description of problem:
Can not set 'CpuOverCommitDurationMinutes' to a value higher than 9 neither through webadmin nor through the API.

Version-Release number of selected component (if applicable):
rhevm-dbscripts-3.3.0-0.46.el6ev

How reproducible:
Always

Steps to Reproduce:
1. Upgrade RHEV-M to 3.3.
2. Select a cluster running in compatibility version 3.3.
3. Edit --> Cluster Policy --> Select policy --> Evenly_Distributed
4. Try to set a value of 10 or higher for CpuOverCommitDurationMinutes and click OK.

Actual results:
Value field is flagged in red colour, can not commit desired value.

Expected results:
As per table 4.4 at https://access.redhat.com/site/documentation/en-US/Red_Hat_Enterprise_Virtualization/3.3/html/Administration_Guide/Cluster_general_entities.html :

"Maximum two characters. "

Additional info:
After migration, trying to raise compatibility version of a cluster where CpuOverCommitDurationMinutes >= 10 to version 3.3 fails.

Comment 3 Artyom 2014-03-17 10:20:33 UTC
Verified on av3

Comment 6 errata-xmlrpc 2014-06-09 15:04:50 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2014-0506.html


Note You need to log in before you can comment on or make changes to this bug.